#header-menu-mobile {
  background-color: var(--colorBlue);
  display: none;
  height: 100%;
  justify-content: center;
  overflow: hidden;
  position: fixed;
  right: 0px;
  top: 0px;
  transition: all 0.2s ease;
  width: 0px;
  z-index: 3;
  @media (max-width: 900px) or (pointer: coarse) {
    display: flex;
  }
  > div {
    background-color: var(--colorBlue);
    align-items: flex-end;
    display: flex;
    flex: 0 1 1030px;
    flex-direction: column;
    padding: 0px 15px 0px 15px;
    > div {
      display: block;
      margin: 80px 0px 0px 0px;
      overflow: auto;
      > a {
        color: white;
        display: block;
        text-decoration: none;
        @media (pointer: fine) {
          &:hover {
            color: var(--colorGreen);
          }
        }
        &.first {
          font-size: 2.4rem;
          padding: 10px 40px 10px 20px;
        }
        &.second {
          font-size: 1.8rem;
          padding: 10px 20px 10px 40px;
        }
      }
    }
  }
}
#header-menu-mobile-hamburger {
  cursor: pointer;
  display: none;
  height: 55px;
  margin: 0px;
  right: 10px;
  top: 8px;
  position: absolute;
  width: 55px;
  opacity: 0;
  z-index: 5;
  @media (max-width: 900px) or (pointer: coarse) {
    display: block;
  }
  &:checked {
    ~ div#first,
    ~ div#second,
    ~ div#third {
      background-color: white;
    }
    ~ div#first {
      transform: translate(0px, 16px) rotate(45deg);
      transform-origin: 17.5px 1.5px;
    }
    ~ div#second {
      opacity: 0;
      visibility: hidden;
    }
    ~ div#third {
      transform: translate(0px, -16px) rotate(-45deg);
      transform-origin: 17.5px 1.5px;
    }
    ~ #header-menu-mobile {
      width: 100%;
    }
  }
}
.header-menu-mobile-hamburger-bar {
  background-color: var(--colorBlue);
  border-radius: 1.5px;
  display: none;
  height: 3px;
  position: absolute;
  right: 20px;
  transition: all 0.2s ease;
  width: 35px;
  z-index: 4;
  @media (max-width: 900px) or (pointer: coarse) {
    display: block;
  }
  &#first {
    top: 18px;
  }
  &#second {
    top: 34px;
  }
  &#third {
    top: 50px;
  }
}
